diff --git a/doc/guides/rel_notes/deprecation.rst b/doc/guides/rel_notes/deprecation.rst
index 81b93515cbd9..2526040e44f9 100644
--- a/doc/guides/rel_notes/deprecation.rst
+++ b/doc/guides/rel_notes/deprecation.rst
@@ -139,8 +139,6 @@ Deprecation Notices
 
 * table: The table library legacy API (functions rte_table_*)
   will be deprecated and subsequently removed in DPDK 24.11 release.
-  Before this, the new table library API (functions rte_swx_table_*)
-  will gradually transition from experimental to stable status.
 
 * port: The port library legacy API (functions rte_port_*)
   will be deprecated and subsequently removed in DPDK 24.11 release.
diff --git a/lib/table/rte_swx_table_learner.h b/lib/table/rte_swx_table_learner.h
index c5ea015b8dcf..66be5fd7d032 100644
--- a/lib/table/rte_swx_table_learner.h
+++ b/lib/table/rte_swx_table_learner.h
@@ -107,7 +107,6 @@ struct rte_swx_table_learner_params {
  * @return
  *   Table memory footprint in bytes.
  */
-__rte_experimental
 uint64_t
 rte_swx_table_learner_footprint_get(struct rte_swx_table_learner_params *params);
 
@@ -121,7 +120,6 @@ rte_swx_table_learner_footprint_get(struct rte_swx_table_learner_params *params)
  * @return
  *   Table mailbox footprint in bytes.
  */
-__rte_experimental
 uint64_t
 rte_swx_table_learner_mailbox_size_get(void);
 
@@ -135,7 +133,6 @@ rte_swx_table_learner_mailbox_size_get(void);
  * @return
  *   Table handle, on success, or NULL, on error.
  */
-__rte_experimental
 void *
 rte_swx_table_learner_create(struct rte_swx_table_learner_params *params, int numa_node);
 
@@ -152,7 +149,6 @@ rte_swx_table_learner_create(struct rte_swx_table_learner_params *params, int nu
  *   0 on success or the following error codes otherwise:
  *   -EINVAL: Invalid argument(s).
  */
-__rte_experimental
 int
 rte_swx_table_learner_timeout_update(void *table,
 				     uint32_t key_timeout_id,
@@ -206,7 +202,6 @@ rte_swx_table_learner_timeout_update(void *table,
  *   0 when the table lookup operation is not yet completed, and 1 when the table lookup operation
  *   is completed. No other return values are allowed.
  */
-__rte_experimental
 int
 rte_swx_table_learner_lookup(void *table,
 			     void *mailbox,
@@ -239,7 +234,6 @@ rte_swx_table_learner_lookup(void *table,
  * @return
  *   0 on success, 1 or error (table full).
  */
-__rte_experimental
 uint32_t
 rte_swx_table_learner_add(void *table,
 			  void *mailbox,
@@ -261,7 +255,6 @@ rte_swx_table_learner_add(void *table,
  * @param[in] time
  *   Current time measured in CPU clock cycles.
  */
-__rte_experimental
 void
 rte_swx_table_learner_rearm(void *table,
 			    void *mailbox,
@@ -282,7 +275,6 @@ rte_swx_table_learner_rearm(void *table,
  * @param[in] key_timeout_id
  *   Key timeout ID.
  */
-__rte_experimental
 void
 rte_swx_table_learner_rearm_new(void *table,
 				void *mailbox,
@@ -301,7 +293,6 @@ rte_swx_table_learner_rearm_new(void *table,
  * @param[in] mailbox
  *   Mailbox for the current operation.
  */
-__rte_experimental
 void
 rte_swx_table_learner_delete(void *table,
 			     void *mailbox);
@@ -312,7 +303,6 @@ rte_swx_table_learner_delete(void *table,
  * @param[in] table
  *   Table handle.
  */
-__rte_experimental
 void
 rte_swx_table_learner_free(void *table);
 
diff --git a/lib/table/rte_swx_table_selector.h b/lib/table/rte_swx_table_selector.h
index 05863cc90b0a..1f9b93640b1f 100644
--- a/lib/table/rte_swx_table_selector.h
+++ b/lib/table/rte_swx_table_selector.h
@@ -83,7 +83,6 @@ struct rte_swx_table_selector_group {
  * @return
  *   Selector table memory footprint in bytes.
  */
-__rte_experimental
 uint64_t
 rte_swx_table_selector_footprint_get(uint32_t n_groups_max, uint32_t n_members_per_group_max);
 
@@ -97,7 +96,6 @@ rte_swx_table_selector_footprint_get(uint32_t n_groups_max, uint32_t n_members_p
  * @return
  *   Selector table mailbox footprint in bytes.
  */
-__rte_experimental
 uint64_t
 rte_swx_table_selector_mailbox_size_get(void);
 
@@ -115,7 +113,6 @@ rte_swx_table_selector_mailbox_size_get(void);
  * @return
  *   Table handle, on success, or NULL, on error.
  */
-__rte_experimental
 void *
 rte_swx_table_selector_create(struct rte_swx_table_selector_params *params,
 			      struct rte_swx_table_selector_group **groups,
@@ -135,7 +132,6 @@ rte_swx_table_selector_create(struct rte_swx_table_selector_params *params,
  *   -EINVAL: Invalid argument(s);
  *   -ENOSPC: Too many group members.
  */
-__rte_experimental
 int
 rte_swx_table_selector_group_set(void *table,
 				 uint32_t group_id,
@@ -177,7 +173,6 @@ rte_swx_table_selector_group_set(void *table,
  *   0 when the operation is not yet completed, and 1 when the operation is complete. No other
  *   return values are allowed.
  */
-__rte_experimental
 int
 rte_swx_table_selector_select(void *table,
 			      void *mailbox,
@@ -191,7 +186,6 @@ rte_swx_table_selector_select(void *table,
  * @param[in] table
  *   Selector table handle.
  */
-__rte_experimental
 void
 rte_swx_table_selector_free(void *table);
 
diff --git a/lib/table/rte_table_hash_func.h b/lib/table/rte_table_hash_func.h
index a962ec2f68e8..d7013ba6c091 100644
--- a/lib/table/rte_table_hash_func.h
+++ b/lib/table/rte_table_hash_func.h
@@ -14,7 +14,6 @@ extern "C" {
 #include <rte_compat.h>
 #include <rte_common.h>
 
-__rte_experimental
 static inline uint64_t
 rte_crc32_u64_generic(uint64_t crc, uint64_t value)
 {
@@ -53,7 +52,6 @@ rte_crc32_u64(uint64_t crc, uint64_t v)
 
 #endif
 
-__rte_experimental
 static inline uint64_t
 rte_table_hash_crc_key8(void *key, void *mask, __rte_unused uint32_t key_size,
 	uint64_t seed)
@@ -67,7 +65,6 @@ rte_table_hash_crc_key8(void *key, void *mask, __rte_unused uint32_t key_size,
 	return crc0;
 }
 
-__rte_experimental
 static inline uint64_t
 rte_table_hash_crc_key16(void *key, void *mask, __rte_unused uint32_t key_size,
 	uint64_t seed)
@@ -86,7 +83,6 @@ rte_table_hash_crc_key16(void *key, void *mask, __rte_unused uint32_t key_size,
 	return crc0;
 }
 
-__rte_experimental
 static inline uint64_t
 rte_table_hash_crc_key24(void *key, void *mask, __rte_unused uint32_t key_size,
 	uint64_t seed)
@@ -108,7 +104,6 @@ rte_table_hash_crc_key24(void *key, void *mask, __rte_unused uint32_t key_size,
 	return crc0;
 }
 
-__rte_experimental
 static inline uint64_t
 rte_table_hash_crc_key32(void *key, void *mask, __rte_unused uint32_t key_size,
 	uint64_t seed)
@@ -134,7 +129,6 @@ rte_table_hash_crc_key32(void *key, void *mask, __rte_unused uint32_t key_size,
 	return crc0;
 }
 
-__rte_experimental
 static inline uint64_t
 rte_table_hash_crc_key40(void *key, void *mask, __rte_unused uint32_t key_size,
 	uint64_t seed)
@@ -160,7 +154,6 @@ rte_table_hash_crc_key40(void *key, void *mask, __rte_unused uint32_t key_size,
 	return crc0;
 }
 
-__rte_experimental
 static inline uint64_t
 rte_table_hash_crc_key48(void *key, void *mask, __rte_unused uint32_t key_size,
 	uint64_t seed)
@@ -187,7 +180,6 @@ rte_table_hash_crc_key48(void *key, void *mask, __rte_unused uint32_t key_size,
 	return crc0;
 }
 
-__rte_experimental
 static inline uint64_t
 rte_table_hash_crc_key56(void *key, void *mask, __rte_unused uint32_t key_size,
 	uint64_t seed)
@@ -217,7 +209,6 @@ rte_table_hash_crc_key56(void *key, void *mask, __rte_unused uint32_t key_size,
 	return crc0;
 }
 
-__rte_experimental
 static inline uint64_t
 rte_table_hash_crc_key64(void *key, void *mask, __rte_unused uint32_t key_size,
 	uint64_t seed)
diff --git a/lib/table/version.map b/lib/table/version.map
index 6c8991073210..c73bf2fc4ec7 100644
--- a/lib/table/version.map
+++ b/lib/table/version.map
@@ -15,29 +15,15 @@ DPDK_24 {
 	rte_table_lpm_ipv6_ops;
 	rte_table_lpm_ops;
 	rte_table_stub_ops;
-
-	local: *;
-};
-
-EXPERIMENTAL {
-	global:
-
-	# added in 20.11
 	rte_swx_table_exact_match_ops;
 	rte_swx_table_exact_match_unoptimized_ops;
-
-	# added in 21.05
 	rte_swx_table_wildcard_match_ops;
-
-	# added in 21.08
 	rte_swx_table_selector_create;
 	rte_swx_table_selector_footprint_get;
 	rte_swx_table_selector_free;
 	rte_swx_table_selector_group_set;
 	rte_swx_table_selector_mailbox_size_get;
 	rte_swx_table_selector_select;
-
-	# added in 21.11
 	rte_swx_table_learner_add;
 	rte_swx_table_learner_create;
 	rte_swx_table_learner_delete;
@@ -45,9 +31,9 @@ EXPERIMENTAL {
 	rte_swx_table_learner_free;
 	rte_swx_table_learner_lookup;
 	rte_swx_table_learner_mailbox_size_get;
-
-	# added in 22.07
 	rte_swx_table_learner_rearm;
 	rte_swx_table_learner_rearm_new;
 	rte_swx_table_learner_timeout_update;
+
+	local: *;
 };